<?php

	class FormSubmissionTagProcessor extends kDBTagProcessor {

		/**
		 * Returns phrase translation by name
		 *
		 * @param Array $params
		 * @return string
		 * @access public
		 */
		function PhraseFromRequest($params)
		{
			$phrase_name = $this->Application->GetVar($params['name']);

			if (array_key_exists('default', $params) && !$phrase_name) {
				$phrase_name = $params['default'];
			}

			return $this->Application->Phrase($phrase_name);
		}
	}
